Package org.apache.sling.cms.core.publication

## Class ForwardAgentEndpointSynchronization

- java.lang.Object
- - org.apache.sling.cms.core.publication.ForwardAgentEndpointSynchronization

All Implemented Interfaces:
  `org.apache.sling.discovery.TopologyEventListener`

    public class ForwardAgentEndpointSynchronization
    extends Object
    implements org.apache.sling.discovery.TopologyEventListener

### Field Summary

Fields
`static String` `ENDPOINT_PROPERTY`

### Constructor Summary

Constructors
`ForwardAgentEndpointSynchronization​(org.osgi.service.cm.ConfigurationAdmin configAdmin, ForwardAgentEndpointSynchronizationConfig config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENDPOINT_PROPERTY

    public static final String ENDPOINT_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### ForwardAgentEndpointSynchronization

    public ForwardAgentEndpointSynchronization​(org.osgi.service.cm.ConfigurationAdmin configAdmin,
                                               ForwardAgentEndpointSynchronizationConfig config)

### Method Detail

#### handleTopologyEvent

    public void handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)

Specified by:
  `handleTopologyEvent` in interface `org.apache.sling.discovery.TopologyEventListener`